mansect(1)

NAME
mansect - print the source code of sections of manual pages

SYNOPSIS
mansect section [file ...]

DESCRIPTION
The mansect command prints the source code of the section of the given manual-page files.

The TH line is unconditionally printed.

The output of this program is suitable for piping to the groff(1) pipeline.

PARAMETERS

section
    A PCRE2 regular expression.

file
    If no files are specified, the standard input is used.

EXAMPLES
    $ man -w strtol strtoul | xargs mansect 'NAME|SEE ALSO';
    .lf 1 /usr/local/man/man3/strtol.3
    .TH strtol 3 2024-07-23 "Linux man-pages 6.9.1"
    .SH NAME
    strtol, strtoll, strtoq - convert a string to a long integer
    .SH SEE ALSO
    .BR atof (3),
    .BR atoi (3),
    .BR atol (3),
    .BR strtod (3),
    .BR strtoimax (3),
    .BR strtoul (3)
    .lf 1 /usr/local/man/man3/strtoul.3
    .TH strtoul 3 2024-07-23 "Linux man-pages 6.9.1"
    .SH NAME
    strtoul, strtoull, strtouq - convert a string to an unsigned long integer
    .SH SEE ALSO
    .BR a64l (3),
    .BR atof (3),
    .BR atoi (3),
    .BR atol (3),
    .BR strtod (3),
    .BR strtol (3),
    .BR strtoumax (3)

SEE ALSO
lexgrog(1), groff(1), pcre2grep(1), mandb(8)